=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.net>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

ifeq ($(SYSTYPE),"debian")
prefix = $(DESTDIR)/usr
datadir = $(prefix)/share
else
ifeq ($(SYSTYPE),"default")
prefix = /usr/local
datadir = $(prefix)/lib
else
TEST_ONLY = 1
endif
endif

INSTALL = install
INSTALL_DATA = $(INSTALL)

MANDIR = $(datadir)/man

MAN = ixbiff.1  ixbiff.conf.5
MANGRP = bin
MANOWN = root
MANMODE = 0644

all:

clean:
	rm -f *~

distclean: clean

ifndef TEST_ONLY
install: $(MAN)
	$(INSTALL) -d $(MANDIR)
	gzip -9 $(MAN)
	for F in $(MAN); do $(INSTALL_DATA) -d $(MANDIR)/man$${F##*.}; $(INSTALL_DATA) -g $(MANGRP) -o $(MANOWN) -m $(MANMODE) $$F.gz $(MANDIR)/man$${F##*.}; done
	gunzip -9 $(MAN)

uninstall:
	for F in $(MAN); do rm -f $(MANDIR)/man$${F##*.}/$$F.gz; done

endif
