## ixbiff 0.03b

=== debian/changelog ===
ixbiff (0.03b) unstable; urgency=low

  * Fixed grammatical errors in Debian control file.
    (Closes: #100416)
  * Fixed the annoying leds-state-doesnt-change-while-in-mailclient
    bug.
  * The CAPS LOCK is now handled as it should be, i.e. the LEDs is
    going to be messed up unless your'e in console since there is
    no way to determine what the user's current _active_ tty is and
    therefore I can't do a ioctl(KDGKBLED) for that tty.
  * Fixed a small bug in the logging system (the log level was set after
    log_init() so the startup message never got logged).
  * Added a build dependancy for logrotate.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 16 Oct 2001 21:31:05 +0200

ixbiff (0.03a) unstable; urgency=low

  * Ixbiff now saves the states of the keyboard leds before
    flashing them, so if you press "CAPS LOCK", etc. you'll
    know (;
  * Added SIGHUP support. You can now reload the configuration
    by sending a SIGHUP to the daemon.
  * I've split led_eyecandy into led_startup and led_shutdown
    to give some finer grained control.
  * The user can now specify his/her own keyboard led sequences
    for events.
  * Added custom log support. I hate syslog - can never find
    the messages I'm looking for, so I decided to log to a
    seperate file (;
  * Added SIGUSR1 support. Whenever ixbiff is sent a SIGUSR1
    signal, it closes and reopens its log file. This is used
    by the logrotate script.
  * Updated the Makefile to use gcc as compiler by default.
    (Closes: #98696)
  * Removed debian/conffiles - the debconf utilities detects
    ixbiff.conf automatically, so that file was useless.
  * Updated man pages, etc. to reflect changes.

 -- Abraham vd Merwe <abz@debian.org>  Mon, 28 May 2001 22:01:42 +0200

ixbiff (0.02c) unstable; urgency=high

  * This is such a mess :P This release fixes two things:
    First of all I forgot to release the previous package
    as unstable which is totally wrong since it's a new
    package and should therefore go to unstable. The other
    mistake is I forgot to close the ITP bug, so this
    release also closes that. (Closes: #98021)
    Please note that apart from Debian bugfixes there is
    absolutely no difference between this and the previous
    release.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 22 May 2001 20:00:18 +0200

ixbiff (0.02b) stable; urgency=low

  * Adapted the package for official debian maintaining.
  * Updated docs/index.html. Fixed a bug and updated the url to my
    home page.
  * Removed INSTALL from docs to keep lintian from complaining.
  * Changed debian control files to be 3.5.2 standards compliant

 -- Abraham vd Merwe <abz@debian.org>  Sat, 19 May 2001 18:37:08 +0200

ixbiff (0.02a) stable; urgency=low

  * If you want, ixbiff can now warn you if your mail client is still active
    after a certain amount of time (which you can specify).
  * Ixbiff can now (depending on an option in your ixbiff.conf of course)
    disable the flashing leds when your mail client is launched. Thanks
    Johann Botha <joe@frogfoot.net> for this suggestion.
  * Added some optional keyboard led eyecandy (Thanks Nick Sutterer
    <nick@tesbo.com> for this idea.)
  * If the user wants, the mail leds can now stop blinking after the mail
    has been read. (Thanks David Santinoli <david@santinoli.com> for patches.)
  * Updated intialization shell script (doesn't depend on expr anymore)
  * Fixed a typo in ixbiff.conf
  * Updated the ixbiff.conf.5 man page to reflect the new changes.
  * Migrated from old-style BSD licenses to new custom one which doesn't
    mention the University, etc.

 -- Abraham van der Merwe <abz@blio.net>  Thu, 28 Apr 2001 18:34:48 +0200

ixbiff (0.01a) stable; urgency=low

  * This is the first official release

 -- Abraham van der Merwe <abz@blio.net>  Tue, 21 Nov 2000 21:11:56 +0200

Local variables:
mode: debian-changelog
End:
