=== debian/control ===
Source: ixbiff
Section: mail
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ixbiff
Architecture: any
Depends: ${shlibs:Depends}, logrotate
Suggests: qmail | mail-transport-agent, mutt | mail-reader
Description: notify user when mail arrives by blinking keyboard leds
 Ixbiff blinks the keyboard LEDs when new mail arrives. The
 keyboard LEDs used depend upon the daemon's configuration.
 .
 For obvious reasons only three mailboxes can be checked.
 .
 Currently, ixbiff is Linux specific and requires root access.
 .
 Ixbiff supports the standard UNIX mbox format as well as
 qmail's Maildir format.
