## ixbiff 0.03c

=== debian/changelog ===
ixbiff (0.03c) unstable; urgency=low

  * Changed leds to LEDs in description (Closes: #124768)
  * Ripped some code out of the new ixbiff to make keyboard
    LEDs work on later kernels (don't ask me how it stopped
    working and why the new LED code works).

 -- Abraham vd Merwe <abz@debian.org>  Fri, 24 Jan 2003 23:12:57 +0200
