=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, logrotate
 Suggests: qmail | mail-transport-agent, mutt | mail-reader
-Description: notify user when mail arrives by blinking keyboard leds
+Description: notify user when mail arrives by blinking keyboard LEDs
  Ixbiff blinks the keyboard LEDs when new mail arrives. The
  keyboard LEDs used depend upon the daemon's configuration.
  .
