## ixbiff 0.03d

=== debian/changelog ===
ixbiff (0.03d) unstable; urgency=low

  * Added breaks at end of switch statements (Closes: #258927)
  * Updated debian policy version.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 17 Jul 2005 14:06:45 +0200
