## ixbiff 0.03d+nmu1

=== man/Makefile ===
--- 
+++ 
@@ -60,9 +60,9 @@
 ifndef TEST_ONLY
 install: $(MAN)
 	$(INSTALL) -d $(MANDIR)
-	gzip -9 $(MAN)
-	for F in $(MAN); do $(INSTALL_DATA) -d $(MANDIR)/man$${F##*.}; $(INSTALL_DATA) -g $(MANGRP) -o $(MANOWN) -m $(MANMODE) $$F.gz $(MANDIR)/man$${F##*.}; done
-	gunzip -9 $(MAN)
+#	gzip -9 $(MAN)
+	for F in $(MAN); do $(INSTALL_DATA) -d $(MANDIR)/man$${F##*.}; $(INSTALL_DATA) -g $(MANGRP) -o $(MANOWN) -m $(MANMODE) $$F $(MANDIR)/man$${F##*.}; done
+#	gunzip -9 $(MAN)
 
 uninstall:
 	for F in $(MAN); do rm -f $(MANDIR)/man$${F##*.}/$$F.gz; done
