=== debian/changelog ===
ixbiff (0.03d+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469741)
  * Fixed broken installation of uncompressed man pages with gz suffix
  * Fixed clean rule

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 11:55:10 +0200
