=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) distclean
 
 	dh_clean
